/**
 *
 */
package com.braintree.command.result;

import com.braintree.hybris.data.graphql.commands.response.BrainTreePaymentStatusEvent;

import java.math.BigDecimal;
import java.util.Calendar;
import java.util.List;

public class BrainTreeTransactionResult {

    private String id;
    private String graphQLId;
    private String merchantAccountId;
    private String orderId;
    private BigDecimal totalAmount;
    private String currencyCode;
    private Calendar createdAt;
    private String status;
    private BrainTreePaymentDetailsResult paymentDetailsResult;
    private List<BrainTreePaymentStatusEvent> statusHistory;
    private List<BrainTreeRefundTransactionResult> refunds;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGraphQLId() {
        return graphQLId;
    }

    public void setGraphQLId(String graphQLId) {
        this.graphQLId = graphQLId;
    }

    public String getMerchantAccountId() {
        return merchantAccountId;
    }

    public void setMerchantAccountId(String merchantAccountId) {
        this.merchantAccountId = merchantAccountId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getCurrencyCode() {
        return currencyCode;
    }

    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    public Calendar getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Calendar createdAt) {
        this.createdAt = createdAt;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public BrainTreePaymentDetailsResult getPaymentDetailsResult() {
        return paymentDetailsResult;
    }

    public void setPaymentDetailsResult(BrainTreePaymentDetailsResult paymentDetailsResult) {
        this.paymentDetailsResult = paymentDetailsResult;
    }

    public List<BrainTreePaymentStatusEvent> getStatusHistory() {
        return statusHistory;
    }

    public void setStatusHistory(
        List<BrainTreePaymentStatusEvent> statusHistory) {
        this.statusHistory = statusHistory;
    }

    public List<BrainTreeRefundTransactionResult> getRefunds() {
        return refunds;
    }

    public void setRefunds(List<BrainTreeRefundTransactionResult> refunds) {
        this.refunds = refunds;
    }

}
